Bug 585380 - TV misdetected on ManLi GeForce4 MX 440 AGP 8x, breaking VGA
TV misdetected on ManLi GeForce4 MX 440 AGP 8x, breaking VGA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 16:26 EDT by Ondrej Zary
Modified: 2012-08-16 13:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (110.47 KB, text/plain)
2010-04-23 16:27 EDT, Ondrej Zary
no flags Details
X log (148.42 KB, text/plain)
2010-04-23 16:28 EDT, Ondrej Zary
no flags Details

  None (edit)
Description Ondrej Zary 2010-04-23 16:26:55 EDT
Description of problem:
This card has VGA, DVI and S-video outputs. The TV is detected as connected even when it's not. This causes VGA output not to work. When two monitors are connected (the 2nd one through DVI-VGA adapater), X startup takes ages (with monitor blinking many times), then finally desktop appears on DVI. xrandr shows that TV-1 is connected even when it's not:

Screen 0: minimum 320 x 200, current 3280 x 1024, maximum 4096 x 4096
VGA-1 connected (normal left inverted right x axis y axis)
   1280x1024      75.0 +   60.0  
   1152x864       75.0  
   1024x768       75.1     72.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DVI-I-1 connected 1280x1024+1280+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0*+   75.0     72.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   640x350        70.1  
TV-1 connected 720x576+2560+0 (normal left inverted right x axis y axis) 0mm x 0mm
   720x576        50.0*+
   1024x768       50.0  
   800x600        50.0  
   720x480        50.0  
   640x480        50.0  
   400x300       100.0  
   320x240       100.0  
   320x200       100.0  


Using "nouveau.tv_disable=1" kernel parameter makes VGA output work and also fixes slow X startup.

Version-Release number of selected component (if applicable):
desktop-i386-20100418.17
kernel-2.6.33.1-24.fc13.i686
xorg-x11-drv-nouveau-0.0.16-3.20100305git6b8b157.fc13.i686

How reproducible:
always

Steps to Reproduce:
1. Boot desktop-i386-20100418.17 with monitor attached to VGA output
  
Actual results:
No signal.

Expected results:
Working monitor.

Additional info:
Comment 1 Ondrej Zary 2010-04-23 16:27:33 EDT
Created attachment 408733 [details]
dmesg
Comment 2 Ondrej Zary 2010-04-23 16:28:01 EDT
Created attachment 408735 [details]
X log
Comment 3 Ondrej Zary 2010-04-23 17:06:32 EDT
When I boot with only DVI attached and nouveau.tv_disable=1 and hot-plug VGA monitor, it does not work. xrandr shows that it's attached, modes are detected properly and even signal is present (goes out of standby) but the screen is blank. However, when I attach TV to the S-video port, I see a unsynchronized image there.
Comment 4 Bug Zapper 2010-07-30 07:27:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ben Skeggs 2010-09-30 01:25:22 EDT
Does this still occur with the latest F14 kernel?
Comment 6 Ondrej Zary 2010-10-05 15:53:00 EDT
With desktop-i386-20101003.16.iso, VGA output works when used alone.

When both DVI and VGA outputs are connected at boot, VGA outputs incorrect signal (monitor OSD displays "input out of range") and xrandr shows that TV is connected even when it's not.

When booted with VGA-only and hot-plugging DVI, both monitors work fine. When the VGA is hot-unplugged, bogus TV is detected again and VGA output stops working until reboot.
Comment 7 Adam Williamson 2010-10-07 15:38:37 EDT
Ben: note the nightlies still have kernel -28 as that was the last one submitted as an update, if any of the changes since -28 affect this, let us know.
Comment 8 Fedora End Of Life 2012-08-16 13:37:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.